# msprime  <img align="right" width="145" height="90" src="https://raw.githubusercontent.com/tskit-dev/msprime/main/msprime_logo.svg">

 [![CircleCI](https://circleci.com/gh/tskit-dev/msprime.svg?style=svg)](https://circleci.com/gh/tskit-dev/msprime) [![codecov](https://codecov.io/gh/tskit-dev/msprime/branch/main/graph/badge.svg)](https://codecov.io/gh/tskit-dev/msprime) [![PyPI Downloads](https://pepy.tech/badge/msprime)](https://pepy.tech/project/msprime) [![Conda Downloads](https://anaconda.org/conda-forge/msprime/badges/downloads.svg)](https://anaconda.org/conda-forge/msprime) [![Docs Build](https://github.com/tskit-dev/msprime/actions/workflows/docs.yml/badge.svg)](https://github.com/tskit-dev/msprime/actions/workflows/docs.yml) [![Binary wheels](https://github.com/tskit-dev/msprime/actions/workflows/wheels.yml/badge.svg)](https://github.com/tskit-dev/msprime/actions/workflows/wheels.yml) [![Tests](https://github.com/tskit-dev/msprime/actions/workflows/tests.yml/badge.svg)](https://github.com/tskit-dev/msprime/actions/workflows/tests.yml)


``msprime`` is a population genetics simulator
based on [tskit](https://tskit.dev). Msprime can simulate random
ancestral histories for a sample of individuals
(consistent with a given demographic model) under a
range of different models and evolutionary processes. Msprime can
also simulate mutations on a given ancestral
history (which can be produced by msprime or other programs
supporting [tskit](https://tskit.dev)) under
a variety of genome sequence evolution models.

Please see the [documentation](https://tskit.dev/msprime/docs/latest/) for
more details, including
[installation instructions](https://tskit.dev/msprime/docs/latest/installation.html).


### Research notice
Please note that this repository is participating in a study into sustainability
of open source projects. Data will be gathered about this repository for
approximately the next 12 months, starting from 2021-06-04.

Data collected will include number of contributors, number of PRs, time taken to
close/merge these PRs, and issues closed.

For more information, please visit
[our informational page](https://sustainable-open-science-and-software.github.io/)
or download our
[participant information sheet](https://sustainable-open-science-and-software.github.io/assets/PIS_sustainable_software.pdf).
